Bug 145509 - package 'htmlview' should require package 'which'
package 'htmlview' should require package 'which'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: htmlview (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 00:39 EST by Hong-Gunn Chew
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 03:20:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hong-Gunn Chew 2005-01-19 00:39:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
/usr/bin/htmlview uses 'which' in its exists() function.  'which' is
not a builtin function in bash, therefore the package 'which' is
required to install /usr/bin/which.

Package 'htmlview' should require package 'which'.


Version-Release number of selected component (if applicable):
htmlview-3.0.0-8

How reproducible:
Always

Steps to Reproduce:
1. in text console
2. /usr/bin/htmlview
    

Actual Results:  "No valid text mode browser found."
if package 'which' is not installed.

Expected Results:  Launches links, lynx or w3m if installed.

Additional info:
Comment 1 Warren Togami 2005-04-25 03:20:45 EDT
Thanks, I agree this should be added.  which is guaranteed to be part of the
graphical install because it is required by xinitrc, which is needed by X stuff.
 However htmlview does technically do something if called from a non-X
installation. Fixed in FC4.

Note You need to log in before you can comment on or make changes to this bug.